API Guide Home (Online version only) |

# DefaultHelperLib.h File Reference

## Detailed Description

Default Helper library owns control over the Default Helpers database.

Definition in file DefaultHelperLib.h.

Go to the source code of this file.

## Defines

- #define DEFAULTHELPERLIB_TRAP(x) SYS_TRAP( x )

## Functions

- Err DefaultHelperLibOpen (UInt16 refNum) DEFAULTHELPERLIB_TRAP(sysLibTrapOpen)
- Err DefaultHelperLibClose (UInt16 refNum) DEFAULTHELPERLIB_TRAP(sysLibTrapClose)
- Err DefaultHelperLibWake (UInt16 refNum) DEFAULTHELPERLIB_TRAP(sysLibTrapWake)
- Err DefaultHelperLibSleep (UInt16 refNum) DEFAULTHELPERLIB_TRAP(sysLibTrapSleep)
- Err DefaultHelperLibGetDefaultHelper (UInt16 refNum, UInt32 serviceID, UInt32 *defaultAppCreatorP) DEFAULTHELPERLIB_TRAP(defaultHelperLibTrapGetDefaultHelper)
- Err DefaultHelperLibSetDefaultHelper (UInt16 refNum, UInt32 serviceID, UInt32 defaultAppCreator) DEFAULTHELPERLIB_TRAP(defaultHelperLibTrapSetDefaultHelper)

## Define Documentation

#define DEFAULTHELPERLIB_TRAP | ( | x |  | ) | SYS_TRAP( x )

Helper macro.

Definition at line 24 of file DefaultHelperLib.h.

## Function Documentation

Err DefaultHelperLibClose | ( | UInt16 | refNum | ) |

Standard library close function

Parameters:

  | refNum,: | IN: Default helper library reference number (from SysLibFind()/SysLibLoad())

Return values:

  | Err | Error code.

Err DefaultHelperLibGetDefaultHelper | ( | UInt16 | refNum,
|  | UInt32 | serviceID,
|  | UInt32 * | defaultAppCreatorP |
| ) |  |  |

Given a specified serviceID, return the creator type of the default helper application.

Parameters:

  | refNum,: | IN: Default helper library reference number (from SysLibFind()/SysLibLoad())
  | serviceID,: | IN: Type of service to get info from.
  | defaultAppCreatorP | OUT: Upon return of the function, a pointer to the creator type of the default application for the specified serviceID.

Return values:

  | Err | Error code.

Err DefaultHelperLibOpen | ( | UInt16 | refNum | ) |

Standard library open function

Parameters:

  | refNum,: | IN: Default helper library reference number (from SysLibFind()/SysLibLoad())

Return values:

  | Err | Error code.

Err DefaultHelperLibSetDefaultHelper | ( | UInt16 | refNum,
|  | UInt32 | serviceID,
|  | UInt32 | defaultAppCreator |
| ) |  |  |

Given a specified serviceID, set the creator type of the default helper application.

Parameters:

  | refNum,: | IN: Default helper library reference number (from SysLibFind()/SysLibLoad())
  | serviceID,: | IN: Type of service to get info from.
  | defaultAppCreator,: | IN: Creator type of the application to be set as the default application for the specified serviceID. If 0, then remove the helper service from the Default Apps database.

Return values:

  | Err | Error code.

Err DefaultHelperLibSleep | ( | UInt16 | refNum | ) |

Standard library sleep function

Parameters:

  | refNum,: | IN: Default helper library reference number (from SysLibFind()/SysLibLoad())

Return values:

  | Err | Error code.

Err DefaultHelperLibWake | ( | UInt16 | refNum | ) |

Standard library wake function

Parameters:

  | refNum,: | IN: Default helper library reference number (from SysLibFind()/SysLibLoad())

Return values:

  | Err | Error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:06:57 2008 for Palm API Guide